package cn.unitid.matrix.pkiservice.test.ces;

import cn.unitid.matrix.pkiservice.sdk.ApiException;
import cn.unitid.matrix.pkiservice.sdk.PkiClient;
import cn.unitid.matrix.pkiservice.sdk.PkiOkhttpClient;
import cn.unitid.matrix.pkiservice.sdk.ces.request.SymmetricEncryptRequest;
import cn.unitid.matrix.pkiservice.sdk.ces.response.SymmetricEncryptResponse;
import cn.unitid.matrix.pkiservice.sdk.consts.DataType;

/**
 * 对称密钥加密
 */
public class SymmetricEncryptTest {

    public static void main(String[] args) {
        // 提供的URL
        String url = "http://172.16.3.232:25115";

        // 您的appKey
        String appKey = "eB4P623i5h";

        // 您的appSecret
        String appSecret = "RzToiB0vzP6hnWd0Rt8u3Om2RDL0YHAA";

        // 原客户端
        PkiClient pkiClient = new PkiOkhttpClient(url, appKey, appSecret);


        SymmetricEncryptRequest request = new SymmetricEncryptRequest();

        Integer virtualIndex = 22009;

        request.setVirtualIndex(virtualIndex);

        // 签名项目的值
        request.setData("123456");

        // 待加密数据 原文
        request.setDataType(DataType.ORIGINAL);

        // 加密数据后数据格式
        request.setEncryptDataType(DataType.BASE64);

        try {
            SymmetricEncryptResponse response = pkiClient.execute(request);
            // 后续业务
            if (response.isSuccess()) {
                System.out.println("成功：" + response.getResult());
            } else {
                System.out.println("失败：" + response.getBody());
            }
        } catch (ApiException e) {
            e.printStackTrace();
        }
    }
}
